<?php
ViewResponse::getInstance()->setMethodAjax();
set_time_limit(150);
ini_set('memory_limit', '228M');

/*****************************************/
$o_ObjectBean = new TesisBean();
if($txtCodigoBAN   !=""){ $o_ObjectBean->setCodigoBAN($txtCodigoBAN); }
if($txtTitulo   !=""){ $o_ObjectBean->setDescripcion($txtTitulo); }
if($cboTipoTesis   !=""){ $o_ObjectBean->setTipoTesisId($cboTipoTesis); }
if($txtClave    !=""){ $o_ObjectBean->setPalabraClave($txtClave); }
if($FechaSustentacionIni !=""){ $o_ObjectBean->setFechaSustentacion($FechaSustentacionIni); }
if($FechaSustentacionFin !=""){ $o_ObjectBean->setFechaSustentacionFin($FechaSustentacionFin); }
if($FechaAprobacionIni   !=""){ $o_ObjectBean->setFechaAprobacion($FechaAprobacionIni); }
if($FechaAprobacionFin   !=""){ $o_ObjectBean->setFechaAprobacionFin($FechaAprobacionFin); }
if($FechaPublicacionIni   !=""){ $o_ObjectBean->setFechaPublicacion($FechaPublicacionIni); }
if($FechaPublicacionFin   !=""){ $o_ObjectBean->setFechaPublicacionFin($FechaPublicacionFin); }


 $o_class = new TesisBL();
 $a_ObjectBean = $o_class->busquedaTesis($o_ObjectBean);
/*****************************************/

$o_TesisSystemClass = new TesisSystemClass(new TipoTesisBean());
$a_TipoTesis = $o_TesisSystemClass->getTipoTesis();

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true); 
$pdf->AliasNbPages();


define("POS_IZQ", 5);



/*inicio de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','B',6);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
    $pdf->AddPage();
    /*iniciop titulo*/
    $pdf->SetFont('times','B',13);
    $pdf->SetXY(POS_IZQ,10);
    $pdf->SetFillColor(236,235,236);
    $pdf->Cell(200,15,'Ficha de Tesis',1,1,'L',1);
    /*fin titulo*/
    
    
    //Codigo BAN :-----------------------
    $pdf->SetFont('times','B',10);

    $pdf->SetFillColor(236,235,236);
    $pdf->SetX(POS_IZQ);
    $pdf->Cell(30,10,'Codigo BAN ',0,0,'L',0);
    $pdf->SetFont('times','',10);
    $pdf->SetFillColor(201,202,204);
    $pdf->Cell(100,10,": ".$o_objBean->getCodigoBAN(),0,1,'L');
    //-----------------------------------------------------
    
    
    //Codigo BAN :-----------------------
    $pdf->SetFont('times','B',10);
    $pdf->SetFillColor(236,235,236);
    $pdf->SetX(POS_IZQ);
    $pdf->Cell(30,10,'Tipo',0,0,'L',0);
    
    $pdf->SetFont('times','',10);
    $pdf->SetFillColor(201,202,204);
    foreach ($a_TipoTesis as $iKey => $o_TipoTesisBean){
   		if($o_objBean->getTipoTesisId() == $o_TipoTesisBean->getTipoTesisId()){ 
          $pdf->Cell(100,10,": ".$o_TipoTesisBean->getTipoTesisDescripcion(),0,1,'L');
   		}
    }
    //-----------------------------------------------------
    
    //titulo :-----------------------
    $pdf->SetFont('times','B',10);
    $pdf->SetFillColor(201,202,204);
    $pdf->SetX(POS_IZQ);
    $pdf->Cell(100,10,'Titulo :',0,1,'L',0);
    $pdf->SetX(POS_IZQ+15);
    $pdf->SetFont('times','',10);
    $pdf->SetFillColor(201,202,204);
    //$pdf->MultiCell(185,10,$o_objBean->getDescripcion(),0,1);
    $pdf->writeHTMLCell(185,0,$pdf->getX(),$current_y_position,utf8_encode($o_objBean->getDescripcion()),0,1,0,true);
    //-----------------------------------------------------
    
    
    //Fecha de sustentacion:-----------------------
    $pdf->SetFont('times','B',10);
    $pdf->SetFillColor(236,235,236);
    $pdf->SetX(POS_IZQ);
    $pdf->Cell(41,10,utf8_encode('Fecha de Sustentación'),0,0,'L',0);
    
    $pdf->SetFont('times','',10);
    $pdf->SetFillColor(201,202,204);
    
    $pdf->Cell(100,10,": ".$o_objBean->getFechaSustentacion(),0,1,'L',0);
    //----------------------------------------------------
    
    //Fecha de Aprobacion :-----------------------
    $pdf->SetFont('times','B',10);
    $pdf->SetX(POS_IZQ);
    $pdf->SetFillColor(236,235,236);
    $pdf->Cell(41,10,utf8_encode('Fecha de Aprobación'),0,0,'L',0);
    
    $pdf->SetFont('times','',10);
    $pdf->SetFillColor(201,202,204);
    $pdf->Cell(100,10,": ".$o_objBean->getFechaAprobacion(),0,1,'L',0);
    //----------------------------------------------------
        
    //Fecha de Publicacion :-----------------------
    $pdf->SetFont('times','B',10);
    $pdf->SetFillColor(236,235,236);
    $pdf->SetX(POS_IZQ);
    $pdf->Cell(41,10,utf8_encode('Fecha de Publicación'),0,0,'L');
    
    $pdf->SetFont('times','',10);
    $pdf->SetFillColor(201,202,204);
    
    $pdf->Cell(100,10,": ".$o_objBean->getFechaPublicacion(),0,1,'L',0);
    //----------------------------------------------------
    
    //Participantes :-----------------------
    $pdf->SetFont('times','B',10);
    $pdf->SetFillColor(236,235,236);
    $pdf->SetX(POS_IZQ);
    $pdf->Cell(100,13,'Participantes :',0,1,'L',0);
      

    //Docentes de la Tesis
    $o_TesisDocenteBean = new TesisDocenteBean();
    $o_TesisDocenteBean->setTesisId($o_objBean->getTesisId());
    
    $o_TesisDocenteBL = new TesisDocenteBL();
    $a_o_TesisDocente = $o_TesisDocenteBL->busquedaTesisDocenteDetalle($o_TesisDocenteBean);
           
    //Alumnos de la Tesis
    $o_TesisAlumnoBean = new TesisAlumnoBean();
    $o_TesisAlumnoBean->setTesisId($o_objBean->getTesisId());
    
    $o_TesisAlumnoBL = new TesisAlumnoBL();
    $a_o_TesisAlumno = $o_TesisAlumnoBL->busquedaTesisAlumnoDetalle($o_TesisAlumnoBean);
        
    //Externo de la Tesis
    $o_TesisExternoBean = new TesisExternoBean();
    $o_TesisExternoBean->setTesisId($o_objBean->getTesisId());
    
    $o_TesisExternoBL = new TesisExternoBL();
    $a_o_TesisExterno = $o_TesisExternoBL->busquedaTesisExternoDetalle($o_TesisExternoBean);
    
    
    $pdf->SetFont('times','B',10);
    $pdf->SetX(POS_IZQ);
    $pdf->SetFillColor(201,202,204);
    $pdf->Cell(40,15,"Codigo",1,0,'L',0);
    $pdf->Cell(135,15,"Nombre",1,1,'L',0);
    
        
    if(count($a_o_TesisDocente)){
      $pdf->SetFont('times','B',10);
      $pdf->SetFillColor(236,235,236);
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(41,12,'Docentes:',0,1,'L',0);
      foreach ($a_o_TesisDocente as $iKey => $o_TesisDocente){ 
       
           
        $pdf->SetFont('times','',10);
        $pdf->SetFillColor(201,202,204);
        $pdf->SetX(POS_IZQ);
        $pdf->Cell(40,12,$o_TesisDocente->getObjectDocente()->getCodigoDocente(),1,0,'L',0);
        $pdf->Cell(135,12,$o_TesisDocente->getObjectDocente()->getNombre(),1,1,'L',0);
        
      }
    }
    
    if(count($a_o_TesisAlumno)){
      $pdf->SetFont('times','B',10);
      $pdf->SetFillColor(236,235,236);
      $pdf->SetX(POS_IZQ);
     
      foreach ($a_o_TesisAlumno as $iKey => $o_TesisAlumno){ 
        
        $pdf->SetFont('times','',10);
        $pdf->SetX(POS_IZQ);
        $pdf->SetFillColor(201,202,204);
        $pdf->Cell(40,10,$o_TesisAlumno->getObjectAlumno()->getCodigoAlumno(),1,0,'L',0);
        $pdf->Cell(135,10,$o_TesisAlumno->getObjectAlumno()->getNombre(),1,1,'L',0);
        
      }
    }
    
    if(count($a_o_TesisExterno)){
      $pdf->SetFont('times','B',10);
      $pdf->SetFillColor(236,235,236);
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(20,12,'Externos:',0,1,'L',0);
      foreach ($a_o_TesisExterno as $iKey => $o_TesisExterno){ 
       
        
        
        $pdf->SetFont('times','',10);
        $pdf->SetX(POS_IZQ);
        $pdf->SetFillColor(201,202,204);
        $pdf->Cell(40,10,$o_TesisExterno->getObjectExterno()->getCodigo(),1,0,'L',0);
        $pdf->Cell(135,10,$o_TesisExterno->getObjectExterno()->getNombre(),1,1,'L',0);
        
      }
    }
    
    
    
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',0);
  
}

$pdf->Output();
ini_set('memory_limit', '32M');
?>